//
//  - File Name   : hbean_common.js
// - Version     : $Revision: 1.1.2.3 $
//  - Author      : jooken (jooken@naver.com)
//  - Date        : 2006.07.24
//  - Copyright   : Copyright NHN Corp. Copyright The Beautiful Foundation. All Rights Reserved.
//  - Description : declare hbean global object
//                  -----------------------------------------------------------------------
//                  If you want to use the onload-call-queue, append the follow statements.
//
//                    window.onload = hbean.callLoadListener;
//                    hbean.observer.add("script-statements");
//                  -----------------------------------------------------------------------
//                  If you want to use the default input text message, refer a follow example.
//
//                    <input type="text" onfocus="hbean.onfocus(this)" onblur="hbean.onblur(this)"
//                           abbr="input a your message" value="input a your message" />
//                  -----------------------------------------------------------------------
//                  If you want to activate embeded objects when load a page,
//                  call the hbean.refreshObject function. Let's see a follow example.
//
//                    <div id='myobject'><object xxxx></object></div>
//                    <script type="text/javascript">hbean.refreshObject('myobject');</script>
//                  -----------------------------------------------------------------------
//  - Modify      : 
//
var hbean = {
 isWin : (navigator.appVersion.indexOf("Win") != -1)
 ,
 IE4 : false
 ,
 NS4 : false
 ,
 // instantly support to load object tag
 refreshObject : function(id)
 {
  var d = document.getElementById(id);
  d.parentNode.innerHTML = d.innerHTML;
 }
 ,
 // support onload queue calling
 observer : null
 ,
 callLoadListener : function()
 {
  if(hbean.observer==null) return;
  hbean.observer.call();
 }
 ,
 // default input message
 onfocus : function(e)
 {
  try{
   if (e.value == e.getAttribute("abbr")) {
    e.value = "";
   }
  }catch(e){}
 }
 ,
 onblur : function(e)
 {
  try{
   if (e.value == "") {
    e.value = e.getAttribute("abbr");
   }
  }catch(e){}
 }
};

if(document.all)
{
 hbean.IE4 = true;
 hbean.NS4 = false;
}
else
{
 hbean.IE4 = false;
 hbean.NS4 = true;
}

function LoadEventListener()
{
 if(hbean.observer!=null)
 {
  return hbean._loadlistener;
 }
 
 this.listener = new Array();
 this.add = function(expression)
 {
  this.listener[this.listener.length] = expression;
 }
 this.call = function()
 {
  var length = this.listener.length;
  for(var i=0;i<length;i++)
  {
   eval(this.listener[i]);
  }
 }
 hbean.observer = this;
}

new LoadEventListener();

